| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WellTie::Writer Class Reference
WellAttrib

`#include <welltiesetup.h>`

Inheritance diagram for WellTie::Writer:
[legend]

## Public Member Functions
| Writer (const char *fnm)
| ~Writer ()
bool | putIOPar (const IOPar &, const char *) const
bool | putWellTieSetup (const WellTie::Setup &) const
Public Member Functions inherited from WellTie::IO
| IO (const char *fnm, uiString &errmsg)
| ~IO ()
Public Member Functions inherited from Well::odIO
virtual | ~odIO ()
const OD::String & | baseName () const
const uiString & | errMsg () const
const char * | getFileName (const char *ext, int nr=0) const
bool | removeAll (const char *ext) const

## Protected Member Functions
bool | putIOPar (const IOPar &, const char *, od_ostream &) const
bool | wrHdr (od_ostream &, const char *) const
Protected Member Functions inherited from Well::odIO
| odIO (const char *, uiString &)

## Protected Attributes
uiString | errmsg_
Protected Attributes inherited from Well::odIO
const BufferString | basenm_
uiString & | errmsg_

## Additional Inherited Members
Static Public Member Functions inherited from WellTie::IO
static const char * | sKeyWellTieSetup ()
Static Public Member Functions inherited from Well::odIO
static const char * | getMainFileName (const IOObj &)
static const char * | getMainFileName (const MultiID &)
static const char * | mkFileName (const char *basfnm, const char *ext, int nr=0)
static const char * | sExtCSMdl ()
static const char * | sExtD2T ()
static const char * | sExtDefaults ()
static const char * | sExtDispProps ()
static const char * | sExtLog ()
static const char * | sExtMarkers ()
static const char * | sExtTrack ()
static const char * | sExtWell ()
static const char * | sExtWellTieSetup ()
static const char * | sKeyD2T ()
static const char * | sKeyDefaults ()
static const char * | sKeyDispProps ()
static const char * | sKeyLog ()
static const char * | sKeyMarkers ()
static const char * | sKeyTrack ()
static const char * | sKeyWell ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ Writer()

WellTie::Writer::Writer | ( | const char * | fnm | ) |

## ◆ ~Writer()

WellTie::Writer::~Writer | ( |  | ) |

## Member Function Documentation

## ◆ putIOPar() [1/2]

bool WellTie::Writer::putIOPar | ( | const IOPar & | ,
|  | const char * | ) const

## ◆ putIOPar() [2/2]

bool WellTie::Writer::putIOPar | ( | const IOPar & | ,
|  | const char * | ,
|  | od_ostream & | ) const
| protected

## ◆ putWellTieSetup()

bool WellTie::Writer::putWellTieSetup | ( | const WellTie::Setup & |  | ) | const

## ◆ wrHdr()

bool WellTie::Writer::wrHdr | ( | od_ostream & | ,
|  | const char * | ) const
| protected

## Member Data Documentation

## ◆ errmsg_

uiString WellTie::Writer::errmsg_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025